> ## Documentation Index
> Fetch the complete documentation index at: https://developers.gonitro.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Envelope

> The **Update Envelope** endpoint modifies an envelope’s name, notification settings, or signing mode. All parameters are optional, so you can update any combination of these fields without affecting the others.



## OpenAPI

````yaml https://api.gonitro.dev/openapi.json patch /sign/envelopes/{envelopeID}
openapi: 3.1.0
info:
  title: Nitro Sign Public API
  description: REST API for Nitro Sign
  version: '0.1'
servers:
  - url: https://api.gonitro.dev
security:
  - bearerAuth: []
paths:
  /sign/envelopes/{envelopeID}:
    patch:
      tags:
        - Sign
      summary: Update Envelope
      description: >-
        The **Update Envelope** endpoint modifies an envelope’s name,
        notification settings, or signing mode. All parameters are optional, so
        you can update any combination of these fields without affecting the
        others.
      operationId: updateEnvelope
      parameters:
        - name: envelopeID
          in: path
          description: >-
            A unique UUIDv4 string that identifies the envelope in the Nitro
            system.
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnvelopeUpdate'
        required: true
      responses:
        '200':
          description: Envelope updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Envelope'
        '400':
          description: Invalid request
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/BadRequestProblemDetail'
        '401':
          description: Unauthorized - Invalid or missing JWT token
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/UnauthorizedProblemDetail'
        '404':
          description: Envelope not found
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/NotFoundProblemDetail'
        '409':
          description: Envelope is in an invalid state for updating
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/EnvelopeInInvalidStateProblemDetail'
components:
  schemas:
    EnvelopeUpdate:
      type: object
      properties:
        name:
          type: string
          description: The Envelope's name. It doesn't have to be unique. Optional field.
        notification:
          $ref: '#/components/schemas/Notification'
          description: Notification settings for the envelope. Optional field.
        mode:
          type: string
          description: Signing mode for the envelope. Optional field.
          enum:
            - sequential
            - parallel
    Envelope:
      type: object
      properties:
        ID:
          type: string
          format: uuid
          description: >-
            A unique UUIDv4 string that identifies the envelope in the Nitro
            system.
        createdAt:
          type: string
          format: date-time
          description: UTC timestamp indicating when the envelope was created.
        lastModifiedAt:
          type: string
          format: date-time
          description: >-
            UTC timestamp indicating the last time the envelope was updated.
            Matches `createdAt` at the time of creation.
        name:
          type: string
          description: The name of the envelope.
        status:
          type: string
          description: >-
            The internal status of the envelope. Defaults to drafted on
            creation.
          enum:
            - drafted
            - sent
            - processing
            - sealed
            - rejected
            - cancelled
            - deleted
    BadRequestProblemDetail:
      type: object
      description: Bad Request error details
      example:
        type: https://developers.gonitro.com/docs/build-nitro/errors#400-bad-request
        title: Bad Request
        status: 400
        detail: Request validation failed
        instance: /sign/envelopes
        validation_errors:
          name: must not be blank
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
    UnauthorizedProblemDetail:
      type: object
      description: Unauthorized error details
      example:
        type: >-
          https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized
        title: Unauthorized
        status: 401
        detail: Missing or invalid Authorization header
        instance: /sign/envelopes
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
    NotFoundProblemDetail:
      type: object
      description: Not Found error details
      example:
        type: https://developers.gonitro.com/docs/build-nitro/errors#404-not-found
        title: Not Found
        status: 404
        detail: Envelope with ID 'envelop-123' not found
        instance: /sign/envelopes/envelop-123
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
    EnvelopeInInvalidStateProblemDetail:
      type: object
      description: Envelope in invalid state
      example:
        type: https://developers.gonitro.com/docs/build-nitro/errors#409-conflict
        title: Conflict
        status: 409
        detail: Envelope in invalid state
        instance: /sign/envelopes/%s:send-for-signing
      properties:
        type:
          type: string
          description: A URI reference that identifies the problem type
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: The HTTP status code
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          description: A URI reference that identifies the specific occurrence
        extensions:
          type: object
          additionalProperties: {}
          description: Additional problem-specific properties
    Notification:
      type: object
      properties:
        subject:
          type: string
          description: The subject line of the notification email.
          minLength: 1
        body:
          type: string
          description: The body content of the notification email.
          minLength: 1
      required:
        - body
        - subject
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````